GtkTearoffMenuItem
3
GTK Library

# GtkTearoffMenuItem

A menu item used to tear off and reattach its menu

## Synopsis

    #include <gtk/gtk.h>

                        GtkTearoffMenuItem;
    GtkWidget*          gtk_tearoff_menu_item_new           (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkItem
                                           +----GtkMenuItem
                                                 +----GtkTearoffMenuItem

## Implemented Interfaces

GtkTearoffMenuItem implements GtkActivatable, AtkImplementorIface and GtkBuildable.

## Description

A GtkTearoffMenuItem is a special GtkMenuItem which is used to tear off and reattach its menu.

When its menu is shown normally, the GtkTearoffMenuItem is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu.

When its menu is shown as a tearoff menu, the GtkTearoffMenuItem is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

## Details

### GtkTearoffMenuItem

    typedef struct _GtkTearoffMenuItem GtkTearoffMenuItem;

The GtkTearoffMenuItem struct contains private data only, and should be accessed using the functions below.

### gtk_tearoff_menu_item_new ()

    GtkWidget*          gtk_tearoff_menu_item_new           (void);

Creates a new GtkTearoffMenuItem.

Returns :

  a new GtkTearoffMenuItem.

## See Also

GtkMenu

  for further discussion of menus in GTK.